# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Plane Class Reference

The Plane class defines a plane using a normal and an origin. More...

`#include <Plane.hpp>`

Inheritance diagram for vl::Plane:

List of all members.

## Public Member Functions
| Plane (Real o=0.0f, vec3 n=vec3(0, 0, 0))
| Plane (const vec3 &o, const vec3 &n)
virtual const char * | className ()
| Returns the name of the class.
Real | distance (const vec3 &v) const
int | classify (const AABB &) const
| returns 0 if the AABB intersects the plane, 1 if it's in the positive side, -1 if it's in the negative side.
bool | isOutside (const AABB &) const
const vec3 & | normal () const
Real | origin () const
void | setNormal (const vec3 &normal)
void | setOrigin (Real origin)
## Protected Attributes
vec3 | mNormal
Real | mOrigin

## Detailed Description

The Plane class defines a plane using a normal and an origin.

## Constructor & Destructor Documentation

vl::Plane::Plane | ( | Real | o = `0.0f`,
|  | vec3 | n = `vec3(0,0,0)` |
| ) |  |  | `[inline]`

vl::Plane::Plane | ( | const vec3 & | o,
|  | const vec3 & | n |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::Plane::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Real Plane::distance | ( | const vec3 & | v | ) | const

int Plane::classify | ( | const AABB & | aabb | ) | const

returns 0 if the AABB intersects the plane, 1 if it's in the positive side, -1 if it's in the negative side.

bool Plane::isOutside | ( | const AABB & | aabb | ) | const

const vec3& vl::Plane::normal | ( |  | ) | const`[inline]`

Real vl::Plane::origin | ( |  | ) | const`[inline]`

void vl::Plane::setNormal | ( | const vec3 & | normal | ) | `[inline]`

void vl::Plane::setOrigin | ( | Real | origin | ) | `[inline]`

## Member Data Documentation

vec3 vl::Plane::mNormal`[protected]`

Real vl::Plane::mOrigin`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Plane.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Plane.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:01 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.